Skip to main content
GET
/
v2
/
installs
/
{installSid}
/
exams
/
{examSid}
/
sessions
/
{sessionSid}
/
annotations
List Annotations
curl --request GET \
  --url http://api.dev.smarterproctoring.com/v2/installs/{installSid}/exams/{examSid}/sessions/{sessionSid}/annotations \
  --header 'token: <api-key>'
"<string>"

Documentation Index

Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

token
string
header
required

Path Parameters

installSid
string
required

Install Sid

Pattern: ^AI[a-f0-9]{32}$
examSid
string
required

Exam Sid

Pattern: ^EX[a-f0-9]{32}$
sessionSid
string
required

Exam Session Sid

Pattern: ^ES[a-f0-9]{32}$

Query Parameters

typeId
string

Type identifier for the annotation

Maximum string length: 50
categoryId
string

Category for the annotation type

Maximum string length: 30
reviewed
boolean

Filter annotations by reviewed status

after
string

Filter annotations created after this date

before
string

Filter annotations created before this date

sortKeys
enum<string>[]

Sorting keys

Available options:
sessionSid,
typeId,
details,
score,
duration,
reviewedDate,
reviewerComment,
reviewedBy,
createdDate,
createdById,
updatedDate,
updatedBy
sortOrder
enum<string>

Sorting order

Available options:
ASC,
DESC
offset
integer

Pagination offset

Required range: x >= 0
limit
integer

Pagination limit

Required range: x >= 1

Response

default - application/json

Successful

The response is of type string.